Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Catch 22 (SOLVED)
#1
I am attempting to compile an AUR package in Arch with makepkg. When i run makepkg, it tells me it is missing a dependency (perl-linux-desktopfiles 0.25-2). This dependency is an AUR package, which needs to be compiled using makepkg, which requires this dependency in order to compile the dependency.

Richard
Reply
#2
Congratulations, you have discovered a dependency cyclus! These things are annoying when dealing with them manually, therefore I recommend you use a AUR helper such as 'trizen'.
My website - My git repos

"Things are only impossible until they’re not." - Captain Jean-Luc Picard
Reply
#3
I am learning. I have yay, but I thought it was only for upgrading AUR programs.

Richard
Reply
#4
Be mindful though that the Arch community doesn't support AUR helpers officially, as they can introduce weird things to the pacman database.
I am discovering Arch Linux as a total Linux newbie, and try to share my experience. I've managed to produce a working bootable USB and got my main PC up and running!
Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)